<%@ Page Language="C#" AutoEventWireup="true" CodeFile="downCookie.aspx.cs" Inherits="downCookie" %>
<script type="text/javascript">

    window.onload = function () {
        // create listener
        function receiveMessage(e) {
            if (e.data == "cookie") {
                parent.postMessage(document.cookie, "*");
            } else if (e.data.indexOf("clear")!=-1) {
                document.cookie = "fileDownload=; expires=" + new Date(1000).toUTCString() + "; path=" + settings.cookiePath;
            }
        }
        window.addEventListener('message', receiveMessage);
        // call parent
        //parent.postMessage("GetWhiteLabel", "*");

    }
</script>